Module
Contents
Index 🔎︎

# Select...Case Statement

Definierar ett eller flera uttrycksblock beroende på ett uttrycks värde.

## Syntax:

    Select Case villkor Case Uttryck Villkorssats[Case Uttryck2 Villkorssats2][Case Else] Villkorssats End Select

## Parametrar:

Villkor: Det uttryck som styr vilket av de villkorliga blocken efter respektive Case-sats som ska exekveras.

Uttryck: Ett uttryck vars resultattyp stämmer överens med villkorsuttrycket. Den villkorssats som följer efter Case-satsen exekveras om Villkor stämmer överens med Uttryck.

## Exempel:

    Sub ExampleRandomSelect

    Dim iVar As Integer

        iVar = Int((15 * Rnd) -2)

        Select Case iVar

            Case 1 To 5

                Print "Nummer från 1 till 5"

            Case 6, 7, 8

                Print "Nummer från 6 till 8"

            Case 8 To 10

                Print "Större än 8"

            Case Else

                Print "Utanför intervallet 1 till 10"

        End Select

    End Sub